Package org.eclipse.birt.report.engine.api

# Interface IReportPart

All Known Subinterfaces:
  `IImage`

public interface IReportPart
Base interface that provides accessible information for a report part

## Method Summary

Modifier and Type
Method
Description
`IRenderOption`
`getRenderOption()`
returns the rendering options
`IReportRunnable`
`getReportRunnable()`
returns the runnable report design

## Method Details

### getReportRunnable

IReportRunnable getReportRunnable()
returns the runnable report design

Returns:
  the runnable report design

### getRenderOption

IRenderOption getRenderOption()
returns the rendering options

Returns:
  the rendering options